Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.naming.factory
Class BeanFactory

    java.lang.Object
      |
      +--org.apache.naming.factory.BeanFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class BeanFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Object factory for any Resource conforming to the JavaBean spec.

This factory can be configured in a `<DefaultContext>` or `<Context>` element in your `conf/server.xml` configuration file. An example of factory configuration is:

     <Resource name="jdbc/myDataSource" auth="SERVLET"
       type="oracle.jdbc.pool.OracleConnectionCacheImpl"/>
     <ResourceParams name="jdbc/myDataSource">
       <parameter>
         <name>factory</name>
         <value>org.apache.naming.factory.BeanFactory</value>
       </parameter>
       <parameter>
         <name>driverType</name>
         <value>thin</value>
       </parameter>
       <parameter>
         <name>serverName</name>
         <value>hue</value>
       </parameter>
       <parameter>
         <name>networkProtocol</name>
         <value>tcp</value>
       </parameter>
       <parameter>
         <name>databaseName</name>
         <value>XXXX</value>
       </parameter>
       <parameter>
         <name>portNumber</name>
         <value>NNNN</value>
       </parameter>
       <parameter>
         <name>user</name>
         <value>XXXX</value>
       </parameter>
       <parameter>
         <name>password</name>
         <value>XXXX</value>
       </parameter>
       <parameter>
         <name>maxLimit</name>
         <value>5</value>
       </parameter>
     </ResourceParams>

Author:
  Aner Perez

Constructor Summary
`BeanFactory()`

Method Summary
`java.lang.Object` | `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)` Create a new Bean instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanFactory

    public BeanFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws javax.naming.NamingException

  Create a new Bean instance.
  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`
  Parameters:
    `obj` - The reference object describing the Bean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.